Rail, it's in our DNA
WebTis API
Documentation
Introduction
The Assertis WebTIS (AWT) API is a RESTful JSON API that enables customers to plan rail journeys and buy rail tickets for travel on the British rail network.
Using the API, customers can plan a journey from any National Rail station to any other. The API also enables customers to buy any ticket - Advance, Off-Peak, Anytime as well as group tickets, carnets, packages and season tickets - to and from any station up to three months before travel. Travelcards, zonal tickets, other TfL and metro products and Plusbus are also supported, as are all railcard discounts, reservations and child fares. Fares and journey planning can be delivered separately, as well as together.
The API supports basket functionality and secure payment with Visa, MasterCard, Amex and other payment cards, PayPal and payment on account. Customers can have their tickets printed and posted; collect them from stations; or print them at home / send them to their phone for some routes.
The API also offers order management, comprehensive rail reference data and refunds through the customer administration service.
All the data that the API uses is from rail-industry approved sources, updated daily in the case of fares and train schedules, and fully in line with industry best practice. The API is accredited by the Rail Delivery Group (RDG), which represents all of the Train Operating Companies (TOCs) and Network Rail (the infrastructure provider) in Britain.
Getting started
Your account manager will provide you with a URL for your dedicated test environment. The test environment will be a fully functional system integrated with test versions of all rail systems except LENNON.
Test card numbers will be provided that can be used to complete purchases. After a successful payment fulfilment will be completed.
Support queries and service issues can be sent via your account manager or to techsupport@assertis.co.uk.
If you wish to perform load testing please provide 24 hours notice.
Protocols
The API itself is a collection of microservices grouped together under a single domain using HAProxy. It is built using REST principles which ensures predictable URLs that makes writing applications easy. This API follows HTTP rules, enabling a wide range of HTTP clients can be used to interact with the API.
Every resource is exposed as a URL. The URL of each resource can be obtained by accessing the API Root Endpoint.
All requests and responses are in JSON. The structure of each request and response is outlined with examples and a JSON-Schema. In general the responses are similar to the standard JSON API design but links are condensed.
For example:
GET /customer/1
Would return:
{
"status": "success",
"data": {
"title": "Mr",
"firstNames": "John",
"surname": "Smith",
"email": "john.smith@example.org",
"emailMarketing": false,
"smsMarketing": false,
"telephoneNumber": "+447754000000",
"created": "2015-05-06T09:54:06Z",
"login": "2015-05-06T09:54:06Z",
"updated": "2015-05-06T09:54:06Z",
"firstPurchase": "2015-05-06T09:54:06Z",
"addresses": [
"/address/2"
]
},
"links": {
"/address/2": {
"title": "Mr",
"firstNames": "John",
"surname": "Smith",
"address1": "123 Test Street",
"address2": "Another Street",
"address3": null,
"town": "Town",
"county": null,
"country": "United Kingdom",
"postCode": "TE57 1NG",
"telephoneNumber": "+447754000000"
}
}
}
Any properties that contain a link to another entity (in this case /address/2) are automatically populated in the links section of the response.
Callbacks
There are additional call backs from the AWT that are not documented here as they usually contain a bespoke payload.
The available callbacks are:
- Order sold
- Order fulfilled
- Ticket refunded
Security
The API is only available via HTTPS. Certificates are signed by Let's Encrypt.
Some parts of the API may be publically available and may be used by end clients (SPA applications / Mobile devices), other parts are restricted by IP. In addition to this some resources are restricted by access token.
Where an access token is required it must be provided by HTTP header. For example
X-Auth-Token: "a1b2c3d4e5f6g7h8i9j0"
Reference data
Reference data is provided inline in the API responses as part of the links section. If there is a need to cache it on the client it can be cached for 24 hours.
Reference data is updated nightly between 03:00am and 04:00am.
Expiry headers
You should pay attention to Expires headers returned when order is created or modified. Various rules are in place to ensure basket validity conforms to industry standards.
Auth
Auth Service API
Auth service generates tokens to be used in authorization / authentication in other services.
POST /auth
Request schema (show)
{
"description": "Auth service token generation request",
"type": "object",
"additionalProperties": false,
"required": [
"vendor",
"text",
"signature"
],
"properties": {
"vendor": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]+$",
"description": "Vendor name that exchanged with us its public key; letters, digits, _ and - only"
},
"text": {
"type": "string",
"description": "Text to be verified against signature"
},
"signature": {
"type": "string",
"description": "Base64 of signature to verify"
},
"userId": {
"type": "string",
"description": "Optional user id that match some of our customers e.g. /users/{id}"
},
"username": {
"type": "string",
"description": "Optional username"
},
"password": {
"type": "string",
"description": "Optional password"
},
"twoFactorCode": {
"type": "string",
"description": "Optional 2factor code"
},
"expiry": {
"type": "number",
"description": "Optional expiry time in hours"
}
}
}
Request example (show)
{
"vendor": "vendor",
"text": "1561b543-ec80-461b-b55b-43b9ff2a03a8",
"signature": "rLMwGb6mEAEBimzg0+f7Mi//s6ypkLvAhJ2C99u6OS0+iQ6t==",
"userId": "/users/14"
}
200 application/json
Response schema (show)
{
"description": "Auth Serivce token response",
"type": "object",
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"properties": {
"token": {
"type": "string"
}
},
"required": [
"token"
],
"additionalProperties": false
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"token": "eyJhbGciOiJIUzI1NiI.eyJzZXNzaW9uSWQiOiIiwidGVuYW5.niCtFnxnL-Z5jUYafohiN7SSO2coL"
}
}
400 application/json
Response schema (show)
{
"description": "Response with failure",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
}
Response example (show)
{
"status": "fail",
"data": {
"vendor": "must not be empty"
}
}
401 application/json
Response schema (show)
{
"description": "Response with failure",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
}
Response example (show)
{
"status": "fail",
"data": {
"message": "Error occured during signature validation. Check your vendor and tenent header"
}
}
403 application/json
Response schema (show)
{
"description": "Response with failure",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
}
Response example (show)
{
"status": "fail",
"data": {
"message": "Passed vendor / user / token does not match with the token"
}
}
500 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"message"
]
}
]
}
POST /pre-auth
Request schema (show)
{
"description": "Auth service pre-token action request",
"type": "object",
"additionalProperties": false,
"required": [
"vendor",
"text",
"signature"
],
"properties": {
"vendor": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]+$",
"description": "Vendor name that exchanged with us its public key; letters, digits, _ and - only"
},
"text": {
"type": "string",
"description": "Text to be verified against signature"
},
"signature": {
"type": "string",
"description": "Base64 of signature to verify"
},
"otpNonce": {
"type": "string",
"description": "Used for resending OTP. Value should be: OTP Nonce returned by service which requested the otp (one that emitted OTPRequested event)"
}
}
}
Request example (show)
{
"vendor": "vendor",
"text": "1561b543-ec80-461b-b55b-43b9ff2a03a8",
"signature": "rLMwGb6mEAEBimzg0+f7Mi//s6ypkLvAhJ2C99u6OS0+iQ6t==",
"otpNonce": "1561b543-ec80-461b-b55b-43b9ff2a03a8"
}
200 application/json
Response schema (show)
{
"description": "Auth Serivce pre-token response",
"type": "object",
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"description": "Response data",
"type": "object"
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"message": "OTP has been re-sent",
"validUntil": "2023-01-01T00:00:00.000Z"
}
}
400 application/json
Response schema (show)
{
"description": "Response with failure",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
}
Response example (show)
{
"status": "fail",
"data": {
"vendor": "must not be empty"
}
}
401 application/json
Response schema (show)
{
"description": "Response with failure",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"data"
]
}
]
}
Response example (show)
{
"status": "fail",
"data": {
"message": "Error occured during signature validation. Check your vendor and tenent header"
}
}
500 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Response resolved links",
"type": [
"object",
"array"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Reference Data
Introduction
Welcome to the Reference Data API Documentation. The API allows you to fetch information about entities common for all parts of TIS. This service agreggate data supplied by external providers.
GET /railcard
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"$oneOf": [
{
"type": "string",
"pattern": "^[A-Z0-9]{3}$"
},
{
"type": "string",
"pattern": "^$"
}
]
},
"description": {
"type": "string"
},
"name": {
"type": "object",
"properties": {
"display": {
"type": "string"
},
"print": {
"type": "string"
}
}
},
"status": {
"type": "object",
"properties": {
"adult": {
"type": [
"string",
"null"
]
},
"child": {
"type": [
"string",
"null"
]
}
}
},
"minPassengers": {
"type": "integer"
},
"maxPassengers": {
"type": "integer"
},
"minHolders": {
"type": "integer"
},
"maxHolders": {
"type": "integer"
},
"minAdults": {
"type": "integer"
},
"maxAdults": {
"type": "integer"
},
"minChildren": {
"type": "integer"
},
"maxChildren": {
"type": "integer"
},
"minAccAdults": {
"type": "integer"
},
"maxAccAdults": {
"type": "integer"
},
"quoteDate": {
"type": "string"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
},
"lastValidDate": {
"type": [
"string",
"null"
]
}
},
"required": [
"code",
"description",
"name",
"minPassengers",
"maxPassengers",
"minHolders",
"maxHolders",
"minAdults",
"maxAdults",
"minChildren",
"maxChildren",
"minAccAdults",
"maxAccAdults",
"quoteDate",
"startDate",
"endDate",
"lastValidDate"
]
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": [
{
"code": "",
"description": "PUBLIC",
"name": {
"display": "PUBLIC",
"print": "PUBLIC"
},
"status": {
"adult": "000",
"child": "001"
},
"minPassengers": 0,
"maxPassengers": 8,
"minHolders": 0,
"maxHolders": 8,
"minAdults": 0,
"maxAdults": 8,
"minChildren": 0,
"maxChildren": 8,
"minAccAdults": 0,
"maxAccAdults": 8,
"quoteDate": "2020-12-01",
"startDate": "2020-12-01",
"endDate": "2020-12-01",
"lastValidDate": null
},
{
"code": "AT1",
"description": "1YR DISABLED PERSONS",
"name": {
"display": "1YR DISABLED PERSONS.",
"print": "1YR DISABLED PERSONS."
},
"status": {
"adult": "003",
"child": null
},
"minPassengers": 1,
"maxPassengers": 2,
"minHolders": 1,
"maxHolders": 2,
"minAdults": 1,
"maxAdults": 2,
"minChildren": 0,
"maxChildren": 8,
"minAccAdults": 0,
"maxAccAdults": 0,
"quoteDate": "2020-12-01",
"startDate": "2020-12-01",
"endDate": "2020-12-01",
"lastValidDate": "2020-12-04"
}
]
}
URI parameters
string id (required)
Pattern: ^[A-Z0-9]{3}$
GET /railcard/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"$oneOf": [
{
"type": "string",
"pattern": "^[A-Z0-9]{3}$"
},
{
"type": "string",
"pattern": "^$"
}
]
},
"description": {
"type": "string"
},
"name": {
"type": "object",
"properties": {
"display": {
"type": "string"
},
"print": {
"type": "string"
}
}
},
"status": {
"type": "object",
"properties": {
"adult": {
"type": [
"string",
"null"
]
},
"child": {
"type": [
"string",
"null"
]
}
}
},
"minPassengers": {
"type": "integer"
},
"maxPassengers": {
"type": "integer"
},
"minHolders": {
"type": "integer"
},
"maxHolders": {
"type": "integer"
},
"minAdults": {
"type": "integer"
},
"maxAdults": {
"type": "integer"
},
"minChildren": {
"type": "integer"
},
"maxChildren": {
"type": "integer"
},
"minAccAdults": {
"type": "integer"
},
"maxAccAdults": {
"type": "integer"
},
"quoteDate": {
"type": "string"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
},
"lastValidDate": {
"type": [
"string",
"null"
]
}
},
"required": [
"code",
"description",
"name",
"minPassengers",
"maxPassengers",
"minHolders",
"maxHolders",
"minAdults",
"maxAdults",
"minChildren",
"maxChildren",
"minAccAdults",
"maxAccAdults",
"quoteDate",
"startDate",
"endDate",
"lastValidDate"
]
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "AT1",
"description": "1YR DISABLED PERSONS",
"name": {
"display": "1YR DISABLED PERSONS.",
"print": "1YR DISABLED PERSONS."
},
"status": {
"adult": "003",
"child": null
},
"minPassengers": 1,
"maxPassengers": 2,
"minHolders": 1,
"maxHolders": 2,
"minAdults": 1,
"maxAdults": 2,
"minChildren": 0,
"maxChildren": 8,
"minAccAdults": 0,
"maxAccAdults": 0,
"quoteDate": "2020-12-01",
"startDate": "2020-12-01",
"endDate": "2020-12-01",
"lastValidDate": "2020-12-04"
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Railcard ABC was not found"
}
URI parameters
string id (required)
Pattern: ^[0-9]{5}$
GET /route/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"required": [
"name",
"code",
"included",
"excluded",
"lul"
],
"additionalProperties": false,
"properties": {
"name": {
"type": "object",
"properties": {
"description": {
"type": "string"
},
"aaaDescription": {
"type": [
"string",
"null"
]
},
"print": {
"type": "string"
},
"display": {
"type": "string"
}
},
"required": [
"description",
"print",
"display"
]
},
"code": {
"type": "string",
"pattern": "^\\d{5}$"
},
"included": {
"type": "array",
"items": {
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}$"
}
},
"excluded": {
"type": "array",
"items": {
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}$"
}
},
"lul": {
"type": "string"
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "00000",
"name": {
"description": "ANY PERMITTED",
"aaaDescription": null,
"print": "Valid via any permitted route",
"display": "Travel is allowed via any permitted route."
},
"included": [],
"excluded": [
"/station/0362"
],
"lul": "NNNNNN-000000000000-_"
},
"links": []
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Route 12345 was not found"
}
URI parameters
string code (required)
Pattern: ^[\d\w]{3}$
GET /rover-type/{code}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"required": [
"code",
"names"
],
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"pattern": "^[\\d\\w]{3}$"
},
"names": {
"type": "object",
"required": [
"description",
"display"
],
"additionalProperties": false,
"properties": {
"description": {
"type": "string"
},
"display": {
"type": "string"
}
}
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "14R",
"names": {
"description": "ALL LINE ROVER 14DAY",
"display": "All Line Rover 14 Days"
}
},
"links": []
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Rover XXX was not found"
}
GET /station
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"name": {
"type": "object",
"additionalProperties": false,
"properties": {
"station": {
"type": "string"
},
"location": {
"type": "string"
},
"display": {
"type": "string"
},
"print": {
"type": "string"
}
},
"required": [
"station",
"location",
"display",
"print"
]
},
"code": {
"type": "object",
"additionalProperties": false,
"properties": {
"nlc": {
"oneOf": [
{
"type": "string",
"pattern": "^[0-9A-Z]{4}$",
"example": "5595"
},
{
"type": "null"
}
]
},
"uic": {
"type": [
"string",
"null"
]
},
"crs": {
"type": "string",
"pattern": "^[A-Z]{3}$",
"example": "CLJ"
},
"tiploc": {
"oneOf": [
{
"type": "string",
"pattern": "^[0-9A-Z]+$",
"example": "CLPHMJW"
},
{
"type": "null"
}
]
},
"tiploc_alternatives": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[0-9A-Z]+$",
"example": "CLPHMJW"
}
},
"atco": {
"type": [
"string",
"null"
]
}
},
"required": [
"nlc",
"uic",
"crs",
"tiploc",
"atco"
]
},
"latitude": {
"type": [
"number",
"null"
]
},
"longitude": {
"type": [
"number",
"null"
]
},
"facilities": {
"type": "array",
"items": {
"type": "string"
}
},
"groups": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}/groups$"
},
{
"type": "array"
}
]
},
"members": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}$"
},
{
"type": "array"
}
]
},
"londonTerminals": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}/london-terminals$"
},
{
"type": "array"
}
]
},
"isGoldCardLocation": {
"type": "boolean"
},
"lul": {
"type": "string"
},
"zoneNo": {
"type": [
"string",
"null"
]
},
"zoneInd": {
"type": [
"string",
"null"
]
},
"locIdTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"fareGroup": {
"type": [
"string",
"null"
]
}
},
"required": [
"name",
"code",
"latitude",
"longitude",
"facilities",
"groups",
"members",
"londonTerminals",
"isGoldCardLocation",
"lul",
"locIdTypes",
"fareGroup"
]
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": [
{
"name": {
"station": "LONDON EUSTON",
"location": "LONDON EUSTON",
"display": "London Euston",
"print": "London Euston"
},
"code": {
"nlc": "1444",
"uic": "7014440",
"crs": "EUS",
"tiploc": "EUSTON",
"tiploc_alternatives": [
"EUSTON"
],
"atco": "9100EUSTON"
},
"latitude": 51.528136,
"longitude": -0.133924,
"facilities": [
"TVM"
],
"groups": "/station/1444/groups",
"members": [],
"londonTerminals": "/station/1444/london-terminals",
"isGoldCardLocation": false,
"lul": "NNNNNN-169000000000-_-0N006009S0",
"zoneNo": "0027",
"zoneInd": "1 ",
"locIdTypes": [],
"fareGroup": "1072"
},
{
"name": {
"station": "BESCOT STADIUM",
"location": "BESCOT STADIUM",
"display": "Bescot Stadium",
"print": "Bescot Stadium"
},
"code": {
"nlc": "1003",
"uic": "7010030",
"crs": "BSC",
"tiploc": "BSCTSTA",
"tiploc_alternatives": [
"BSCTSTA"
],
"atco": "9100BSCTSTA"
},
"latitude": 52.563093,
"longitude": -1.991105,
"facilities": [
"BO",
"TVM"
],
"groups": "/station/1003/groups",
"members": [
"/station/0011",
"/station/0012"
],
"londonTerminals": "/station/1003/london-terminals",
"isGoldCardLocation": true,
"lul": "NNNNNN-000000000000-_-0N009003S0",
"zoneNo": null,
"zoneInd": null,
"locIdTypes": [
"O"
],
"fareGroup": "1003"
}
]
}
URI parameters
string id (required)
NLC or CRS
Pattern: ^[0-9A-Z]{3,4}$
GET /station/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"name": {
"type": "object",
"additionalProperties": false,
"properties": {
"station": {
"type": "string"
},
"location": {
"type": "string"
},
"display": {
"type": "string"
},
"print": {
"type": "string"
}
},
"required": [
"station",
"location",
"display",
"print"
]
},
"code": {
"type": "object",
"additionalProperties": false,
"properties": {
"nlc": {
"oneOf": [
{
"type": "string",
"pattern": "^[0-9A-Z]{4}$",
"example": "5595"
},
{
"type": "null"
}
]
},
"uic": {
"type": [
"string",
"null"
]
},
"crs": {
"type": "string",
"pattern": "^[A-Z]{3}$",
"example": "CLJ"
},
"tiploc": {
"oneOf": [
{
"type": "string",
"pattern": "^[0-9A-Z]+$",
"example": "CLPHMJW"
},
{
"type": "null"
}
]
},
"tiploc_alternatives": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[0-9A-Z]+$",
"example": "CLPHMJW"
}
},
"atco": {
"type": [
"string",
"null"
]
}
},
"required": [
"nlc",
"uic",
"crs",
"tiploc",
"atco"
]
},
"latitude": {
"type": [
"number",
"null"
]
},
"longitude": {
"type": [
"number",
"null"
]
},
"facilities": {
"type": "array",
"items": {
"type": "string"
}
},
"groups": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}/groups$"
},
{
"type": "array"
}
]
},
"members": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}$"
},
{
"type": "array"
}
]
},
"londonTerminals": {
"oneOf": [
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}/london-terminals$"
},
{
"type": "array"
}
]
},
"isGoldCardLocation": {
"type": "boolean"
},
"lul": {
"type": "string"
},
"zoneNo": {
"type": [
"string",
"null"
]
},
"zoneInd": {
"type": [
"string",
"null"
]
},
"locIdTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"fareGroup": {
"type": [
"string",
"null"
]
}
},
"required": [
"name",
"code",
"latitude",
"longitude",
"facilities",
"groups",
"members",
"londonTerminals",
"isGoldCardLocation",
"lul",
"locIdTypes",
"fareGroup"
]
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"name": {
"station": "LONDON EUSTON",
"location": "LONDON EUSTON",
"display": "London Euston",
"print": "London Euston"
},
"code": {
"nlc": "1444",
"uic": "7014440",
"crs": "EUS",
"tiploc": "EUSTON",
"tiploc_alternatives": [
"EUSTON"
],
"atco": "9100EUSTON"
},
"latitude": 51.528136,
"longitude": -0.133924,
"facilities": [
"TVM"
],
"groups": "/station/1444/groups",
"members": [
"/station/0011",
"/station/0012"
],
"londonTerminals": "/station/1444/london-terminals",
"isGoldCardLocation": false,
"lul": "NNNNNN-169000000000-_-0N006009S0",
"zoneNo": "0027",
"zoneInd": "1 ",
"locIdTypes": [
"S",
"N"
],
"fareGroup": "1072"
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Station 1234 was not found"
}
URI parameters
string id (required)
NLC or CRS
Pattern: ^[0-9A-Z]{3,4}$
GET /station/{id}/london-terminals
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"londonTerminals": {
"type": [
"array",
"object"
]
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"londonTerminals": {
"00000": [
"/station/1444",
"/station/1475",
"/station/3087"
],
"00042": [
"/station/1444"
],
"00081": [
"/station/1444"
],
"00305": [
"/station/1475",
"/station/3087"
]
}
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Station 1234 was not found"
}
URI parameters
string id (required)
NLC or CRS or UIC
Pattern: ^[0-9A-Z]{3,7}$
GET /station/{id}/fulfilment-locations
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "array"
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": [
"633597013A05A4",
"633597600905A4",
"633597012205A4"
]
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Station 1234 was not found"
}
URI parameters
string id (required)
NLC or CRS
Pattern: ^[0-9A-Z]{3,4}$
GET /station/{id}/groups
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"groups": {
"type": [
"array"
]
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"groups": [
"/station/0032",
"/station/0033",
"/station/0034",
"/station/0035",
"/station/0051",
"/station/0060",
"/station/0064",
"/station/0065",
"/station/0785",
"/station/0786",
"/station/0790",
"/station/0791",
"/station/0792",
"/station/1072",
"/station/H107",
"/station/K269"
]
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Station 1234 was not found"
}
URI parameters
string id (required)
NLC or CRS
Pattern: ^[0-9A-Z]{3,4}$
string secondId (required)
NLC or CRS
Pattern: ^[0-9A-Z]{3,4}$
string route (required)
Pattern: ^[0-9]{5}$
GET /station/{id}/permitted-stations/{secondId}/{route}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"members": {
"type": [
"array"
]
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"members": [
"/station/0032",
"/station/0033",
"/station/0034"
]
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Station 1234 was not found"
}
URI parameters
string id (required)
Pattern: ^[0-9A-Z]{3}$
GET /supplement-type/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"required": [
"code",
"type",
"capriCode",
"description",
"shortDescription",
"price",
"minGroup",
"maxGroup",
"class",
"isSeparateTicket",
"sundryCode",
"packageDirections"
],
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"pattern": "^[A-Z0-9]{3}$"
},
"type": [],
"capriCode": {
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"price": {
"type": "integer"
},
"minGroup": {
"type": "integer"
},
"maxGroup": {
"type": "integer"
},
"class": {
"type": [
"integer",
"null"
]
},
"isSeparateTicket": {
"type": "boolean"
},
"sundryCode": {
"type": [
"integer",
"null"
]
},
"packageDirections": {
"type": [
"object",
"array"
]
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "BIK",
"type": "EXA",
"capriCode": "ZAX",
"description": "BICYCLE RESERVATION",
"shortDescription": "CYCLE RES",
"price": 500,
"minGroup": 1,
"maxGroup": 1,
"class": 1,
"isSeparateTicket": true,
"sundryCode": 96094,
"packageDirections": {
"1SA": "E",
"1SB": "O"
}
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
URI parameters
string code (required)
Pattern: ^[A-Z0-9]{3}$
GET /ticket-type/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"properties": {
"name": {
"type": "object",
"properties": {
"display": {
"type": "string"
},
"print": {
"type": "string"
},
"description": {
"type": "string"
}
}
},
"ccstFormat": {
"type": "string"
},
"code": {
"type": "string",
"pattern": "^[A-Z0-9]{3}$"
},
"isReturn": {
"type": "boolean"
},
"isSeason": {
"type": "boolean"
},
"isAdvance": {
"type": "boolean"
},
"isPackage": {
"type": "boolean"
},
"isCarnet": {
"type": "boolean"
},
"isFirstClass": {
"type": "boolean"
},
"reservationType": {
"type": "string",
"enum": [
"N",
"B",
"O",
"R",
"E"
],
"description": "N = 'no' ; O = 'reservation required on outward journey' ; R = 'reservation required on inward journey ; B = 'reservation required on both outward and return journey' ; E = 'reservation required either outward or return journey'"
},
"validity": {
"type": "string",
"pattern": "^/validity\\-type/[0-9A-Z]{2}$"
},
"minPassengers": {
"type": "integer"
},
"maxPassengers": {
"type": "integer"
},
"minAdults": {
"type": "integer"
},
"maxAdults": {
"type": "integer"
},
"minChildren": {
"type": "integer"
},
"maxChildren": {
"type": "integer"
},
"utsCode": {
"type": "integer"
},
"timeRestriction": {
"type": "integer",
"minimum": 0,
"maximum": 3
},
"capriCode": {
"type": "string",
"pattern": "^[A-Z]{3}$"
},
"canBeRetailed": {
"type": "boolean"
},
"ticketCategory": {
"type": [
"string",
"null"
]
},
"reservationSupplement": {
"type": [
"string",
"null"
]
}
},
"required": [
"name",
"code",
"utsCode",
"timeRestriction",
"capriCode",
"canBeRetailed",
"ticketCategory"
],
"additionalProperties": false
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"name": {
"display": "Standard Open Single",
"print": "standard open single",
"description": "ANYTIME S"
},
"ccstFormat": "X01",
"code": "SOS",
"isReturn": false,
"isSeason": true,
"isAdvance": false,
"isPackage": true,
"isCarnet": false,
"isFirstClass": false,
"reservationType": "B",
"validity": "/validity-type/AA",
"minPassengers": 1,
"maxPassengers": 1,
"minAdults": 1,
"maxAdults": 1,
"minChildren": 0,
"maxChildren": 0,
"utsCode": 99,
"timeRestriction": 0,
"capriCode": "UAB",
"canBeRetailed": true,
"ticketCategory": "advance",
"reservationSupplement": "CAX"
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Ticket ABC was not found"
}
URI parameters
string id (required)
Pattern: ^[A-Z0-9]{2}$
GET /validity-type/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"additionalProperties": false,
"required": [
"code",
"outward",
"return",
"returnMustBeAfter"
],
"properties": {
"code": {
"type": "string",
"pattern": "^[A-Z0-9]{2}$"
},
"outward": {
"type": "object",
"additionalProperties": false,
"required": [
"days",
"months",
"break",
"description"
],
"properties": {
"days": {
"type": "integer"
},
"months": {
"type": "integer"
},
"break": {
"type": "boolean"
},
"description": {
"type": "string"
}
}
},
"return": {
"type": "object",
"additionalProperties": false,
"required": [
"days",
"months",
"break",
"description"
],
"properties": {
"days": {
"type": "integer"
},
"months": {
"type": "integer"
},
"break": {
"type": "boolean"
},
"description": {
"type": "string"
}
}
},
"returnMustBeAfter": {
"type": "object",
"additionalProperties": false,
"required": [
"days",
"months",
"dayOfWeek"
],
"properties": {
"days": {
"type": "integer"
},
"months": {
"type": "integer"
},
"dayOfWeek": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "3E",
"outward": {
"days": 5,
"months": 0,
"break": true,
"description": "FIVE DAYS"
},
"return": {
"days": 0,
"months": 1,
"break": false,
"description": "ONE MONTH"
},
"returnMustBeAfter": {
"days": 1,
"months": 0,
"dayOfWeek": "Tuesday"
}
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Ticket Validity AA was not found"
}
URI parameters
string code (required)
Pattern: ^[A-Z\\*]{2}$
GET /toc/{id}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"required": [
"code",
"name",
"description",
"active"
],
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"pattern": "^[A-Z\\*]{2}$"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"active": {
"type": "boolean"
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"code": "AW",
"name": "Transport For Wales Rail",
"description": "Transport for Wales",
"active": true
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
Response example (show)
{
"status": "fail",
"message": "Toc AA was not found"
}
Accepts two formats, late/123 and late/123/at/TIPLOC.
GET /darwin-reason/{data}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"type": "object",
"additionalProperties": false,
"required": [
"code",
"text"
],
"properties": {
"type": {
"type": "string",
"enum": [
"cancel",
"late"
]
},
"code": {
"type": "string"
},
"range": {
"oneOf": [
{
"type": "null"
},
{
"type": "string",
"enum": [
"at",
"near"
]
}
]
},
"station": {
"oneOf": [
{
"type": "null"
},
{
"type": "string",
"pattern": "^/station/[0-9A-Z]{4}$"
}
]
},
"text": {
"type": "string"
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"type": "late",
"code": "100",
"range": "at",
"station": "/station/3813",
"text": "This train has been delayed by a broken down train"
},
"links": {
"/station/3813": []
}
}
404 application/json
Response schema (show)
{
"description": "Response with error",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"message"
]
}
]
}
URI parameters
string code (required)
Pattern: ^[0-9A-Za-z]{3}$
GET /restriction/{code}
200 application/json
Response schema (show)
{
"allOf": [
{
"description": "Response with data",
"allOf": [
{
"description": "A standard JSON response",
"type": "object",
"required": [
"status"
],
"properties": {
"status": {
"description": "Response status",
"enum": [
"success",
"fail",
"error"
]
},
"data": {
"description": "Response data",
"type": [
"object",
"array",
"string"
]
},
"code": {
"description": "Response error code",
"type": "string"
},
"message": {
"description": "Response error message",
"type": "string"
},
"links": {
"description": "Resolved URIs from 'data' section ",
"type": [
"array",
"object"
]
}
}
},
{
"required": [
"data"
]
}
]
},
{
"properties": {
"data": {
"required": [
"restrictionHeader",
"restrictionRailcard",
"restrictionTime",
"restrictionTimeDate",
"restrictionTimeToc",
"restrictionTrain",
"restrictionTrainDate",
"restrictionTrainQuota"
],
"additionalProperties": false,
"properties": {
"restrictionHeader": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"description",
"descOut",
"descRtn",
"typeOut",
"typeRtn",
"changeInd"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"description": {
"type": "string"
},
"descOut": {
"type": "string"
},
"descRtn": {
"type": "string"
},
"typeOut": {
"type": "string"
},
"typeRtn": {
"type": "string"
},
"changeInd": {
"type": "string"
}
}
}
]
}
},
"restrictionRailcard": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"railcardCode",
"restrictionSequence",
"ticketCode",
"routeCode",
"locationCrs",
"totalBan",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"railcardCode": {
"type": "string"
},
"restrictionSequence": {
"type": "string"
},
"ticketCode": {
"type": "string"
},
"routeCode": {
"type": "string"
},
"locationCrs": {
"type": "string"
},
"totalBan": {
"type": "integer"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
},
"restrictionTime": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"sequenceNo",
"outRet",
"timeFrom",
"timeTo",
"arrDepVia",
"location",
"rstrType",
"trainType",
"minFareFlag",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"sequenceNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"timeFrom": {
"type": "string"
},
"timeTo": {
"type": "string"
},
"arrDepVia": {
"type": "string"
},
"location": {
"type": "string"
},
"rstrType": {
"type": "string"
},
"trainType": {
"type": "string"
},
"minFareFlag": {
"type": "string"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
},
"restrictionTimeDate": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"sequenceNo",
"outRet",
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday",
"sunday",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"sequenceNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"monday": {
"type": "integer"
},
"tuesday": {
"type": "integer"
},
"wednesday": {
"type": "integer"
},
"thursday": {
"type": "integer"
},
"friday": {
"type": "integer"
},
"saturday": {
"type": "integer"
},
"sunday": {
"type": "integer"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
},
"restrictionTimeToc": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"sequenceNo",
"outRet",
"tocCode"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"sequenceNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"tocCode": {
"type": "string"
}
}
}
]
}
},
"restrictionTrain": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"trainNo",
"outRet",
"location",
"quotaInd",
"arrDep",
"sleeperInd",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"trainNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"location": {
"type": [
"string",
"null"
]
},
"quotaInd": {
"type": "string"
},
"arrDep": {
"type": [
"string",
"null"
]
},
"sleeperInd": {
"type": "string"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
},
"restrictionTrainDate": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"trainNo",
"outRet",
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday",
"sunday",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"trainNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"monday": {
"type": "integer"
},
"tuesday": {
"type": "integer"
},
"wednesday": {
"type": "integer"
},
"thursday": {
"type": "integer"
},
"friday": {
"type": "integer"
},
"saturday": {
"type": "integer"
},
"sunday": {
"type": "integer"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
},
"restrictionTrainQuota": {
"type": "array",
"items": {
"allOf": [
{
"required": [
"timeMarker",
"restrictionCode",
"trainNo",
"outRet",
"location",
"quotaInd",
"arrDep",
"sleeperInd",
"startDate",
"endDate"
],
"additionalProperties": false,
"properties": {
"timeMarker": {
"type": "string"
},
"restrictionCode": {
"type": "string"
},
"trainNo": {
"type": "string"
},
"outRet": {
"type": "string"
},
"location": {
"type": "string"
},
"quotaInd": {
"type": "string"
},
"arrDep": {
"type": "string"
},
"sleeperInd": {
"type": [
"string",
"null"
]
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
}
}
}
]
}
}
}
}
}
}
]
}
Response example (show)
{
"status": "success",
"data": {
"restrictionHeader": [
{
"timeMarker": "C",
"restrictionCode": "1D",
"description": "IEC OFF-PEAK",
"descOut": "NOT VALID ARRIVING INTO LONDON BEFORE 1008 M-F",
"descRtn": "NOT VALID FROM LONDON 0645-0759 M-F&1559-1745 M-TH",
"typeOut": "P",
"typeRtn": "N",
"changeInd": "1"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"description": "IEC OFF-PEAK",
"descOut": "NOT VALID ARRIVING INTO LONDON BEFORE 1008 M-F",
"descRtn": "NOT VALID FROM LONDON 0645-0759 M-F&1559-1745 M-TH",
"typeOut": "P",
"typeRtn": "N",
"changeInd": "1"
}
],
"restrictionRailcard": [
{
"timeMarker": "C",
"restrictionCode": "BU",
"railcardCode": "BUD",
"restrictionSequence": "0001",
"ticketCode": "",
"routeCode": "",
"locationCrs": " ",
"totalBan": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "F",
"restrictionCode": "BU",
"railcardCode": "BUD",
"restrictionSequence": "0001",
"ticketCode": "",
"routeCode": "",
"locationCrs": " ",
"totalBan": 0,
"startDate": "2019-01-02",
"endDate": "2999-12-31"
}
],
"restrictionTime": [
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0001",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0001",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0002",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0002",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "O",
"timeFrom": "00:06:39",
"timeTo": "00:10:47",
"arrDepVia": "A",
"location": "MKC",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0004",
"outRet": "O",
"timeFrom": "00:06:44",
"timeTo": "00:10:44",
"arrDepVia": "A",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0004",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:50",
"arrDepVia": "D",
"location": "MKC",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0005",
"outRet": "O",
"timeFrom": "00:07:20",
"timeTo": "00:11:29",
"arrDepVia": "A",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0005",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:37",
"arrDepVia": "D",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0006",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "A",
"location": "BDM",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0006",
"outRet": "R",
"timeFrom": "00:14:39",
"timeTo": "00:18:37",
"arrDepVia": "D",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0007",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:03",
"arrDepVia": "A",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0007",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:25",
"arrDepVia": "D",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0008",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0008",
"outRet": "R",
"timeFrom": "00:15:01",
"timeTo": "00:18:44",
"arrDepVia": "D",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0009",
"outRet": "O",
"timeFrom": "00:01:00",
"timeTo": "00:10:04",
"arrDepVia": "A",
"location": "PAD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0009",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "BDM",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0010",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:08:56",
"arrDepVia": "D",
"location": "BTH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0010",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0011",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:03",
"arrDepVia": "A",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0011",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0012",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0012",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0013",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0013",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0014",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0014",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:56",
"arrDepVia": "D",
"location": "BTH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0015",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0015",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0016",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0016",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0017",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0017",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"timeFrom": "00:04:00",
"timeTo": "00:09:56",
"arrDepVia": "A",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0021",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0021",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0022",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:59",
"arrDepVia": "A",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0022",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0023",
"outRet": "O",
"timeFrom": "00:04:00",
"timeTo": "00:07:20",
"arrDepVia": "D",
"location": "TTF",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0023",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0024",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0025",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0026",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0027",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0028",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0029",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0030",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0031",
"outRet": "R",
"timeFrom": "00:06:25",
"timeTo": "00:08:16",
"arrDepVia": "D",
"location": "HIT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0032",
"outRet": "R",
"timeFrom": "00:15:52",
"timeTo": "00:17:32",
"arrDepVia": "D",
"location": "HIT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0033",
"outRet": "R",
"timeFrom": "00:07:15",
"timeTo": "00:08:14",
"arrDepVia": "D",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0034",
"outRet": "R",
"timeFrom": "00:16:18",
"timeTo": "00:17:57",
"arrDepVia": "D",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0035",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0036",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0037",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0038",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0039",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0040",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0001",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0001",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0002",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0002",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "O",
"timeFrom": "00:06:39",
"timeTo": "00:10:47",
"arrDepVia": "A",
"location": "MKC",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "ZFD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0004",
"outRet": "O",
"timeFrom": "00:06:44",
"timeTo": "00:10:44",
"arrDepVia": "A",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0004",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:50",
"arrDepVia": "D",
"location": "MKC",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0005",
"outRet": "O",
"timeFrom": "00:07:20",
"timeTo": "00:11:29",
"arrDepVia": "A",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0005",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:37",
"arrDepVia": "D",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0006",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "A",
"location": "BDM",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0006",
"outRet": "R",
"timeFrom": "00:14:39",
"timeTo": "00:18:37",
"arrDepVia": "D",
"location": "WFJ",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0007",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:03",
"arrDepVia": "A",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0007",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:25",
"arrDepVia": "D",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0008",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0008",
"outRet": "R",
"timeFrom": "00:15:01",
"timeTo": "00:18:44",
"arrDepVia": "D",
"location": "EUS",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0009",
"outRet": "O",
"timeFrom": "00:01:00",
"timeTo": "00:10:04",
"arrDepVia": "A",
"location": "PAD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0009",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "BDM",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0010",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:08:56",
"arrDepVia": "D",
"location": "BTH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0010",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0011",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:03",
"arrDepVia": "A",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0011",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LUT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0012",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0012",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0013",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0013",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "STP",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0014",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0014",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:56",
"arrDepVia": "D",
"location": "BTH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0015",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0015",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:00",
"arrDepVia": "D",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0016",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0016",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LTN",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0017",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:02",
"arrDepVia": "A",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0017",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "BFR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"timeFrom": "00:04:00",
"timeTo": "00:09:56",
"arrDepVia": "A",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "CTK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0021",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:10:07",
"arrDepVia": "A",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0021",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0022",
"outRet": "O",
"timeFrom": "00:04:30",
"timeTo": "00:09:59",
"arrDepVia": "A",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0022",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "LBG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0023",
"outRet": "O",
"timeFrom": "00:04:00",
"timeTo": "00:07:20",
"arrDepVia": "D",
"location": "TTF",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0023",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0024",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "EPH",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0025",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0026",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "ECR",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0027",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:08:46",
"arrDepVia": "D",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0028",
"outRet": "R",
"timeFrom": "00:16:35",
"timeTo": "00:18:46",
"arrDepVia": "D",
"location": "NWD",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0029",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0030",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "HHY",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0031",
"outRet": "R",
"timeFrom": "00:06:25",
"timeTo": "00:08:16",
"arrDepVia": "D",
"location": "HIT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0032",
"outRet": "R",
"timeFrom": "00:15:52",
"timeTo": "00:17:32",
"arrDepVia": "D",
"location": "HIT",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0033",
"outRet": "R",
"timeFrom": "00:07:15",
"timeTo": "00:08:14",
"arrDepVia": "D",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0034",
"outRet": "R",
"timeFrom": "00:16:18",
"timeTo": "00:17:57",
"arrDepVia": "D",
"location": "SVG",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0035",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0036",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "FPK",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0037",
"outRet": "R",
"timeFrom": "00:06:45",
"timeTo": "00:07:58",
"arrDepVia": "D",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0038",
"outRet": "R",
"timeFrom": "00:15:58",
"timeTo": "00:17:45",
"arrDepVia": "D",
"location": "KGX",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0039",
"outRet": "R",
"timeFrom": "00:04:30",
"timeTo": "00:09:29",
"arrDepVia": "D",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
},
{
"timeMarker": "F",
"restrictionCode": "1D",
"sequenceNo": "0040",
"outRet": "R",
"timeFrom": "00:16:30",
"timeTo": "00:18:58",
"arrDepVia": "D",
"location": "LST",
"rstrType": "T",
"trainType": "A",
"minFareFlag": "0",
"startDate": "2019-01-02",
"endDate": "2999-12-31"
}
],
"restrictionTimeDate": [
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0003",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0018",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0019",
"outRet": "O",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 1,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
"restrictionCode": "1D",
"sequenceNo": "0020",
"outRet": "R",
"monday": 1,
"tuesday": 1,
"wednesday": 1,
"thursday": 1,
"friday": 0,
"saturday": 0,
"sunday": 0,
"startDate": "2018-09-02",
"endDate": "2019-01-01"
},
{
"timeMarker": "C",
[...]
